## awn-extras-applets 0.4.0

=== debian/changelog ===
awn-extras-applets (0.4.0-3) unstable; urgency=low

  * debian/control:
   - Add depends on python-awn-extras (>= 0.4.0) for all python applets.
     Closes: #589317
   - Fix wrong description for awn-applets-common. Closes: #587632
   - Recommend python-pyinotify for thinkhdaps applet.
   - Use Breaks instead of Replaces and Conflicts when moving files between
     packages to conform to Standards-Version 3.9.0.
   - Bump Standards-Version to 3.9.0.
   - Fix Conflicts for python-awn-extras.
   - Improve short descriptions.
  * debian/pyversions: Build only for python >= 2.5. Thanks Jakub Wilk for the
    patch. Closes: #587964
  * debian/copyright: Remove mention of BSD license in
    /usr/share/common-licenses to conform to Standards-Version 3.9.0.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Sat, 17 Jul 2010 13:11:19 +0200

awn-extras-applets (0.4.0-2) unstable; urgency=medium

  * Urgency set to medium to close RC bug.
  * debian/control:
   - Add Conflicts/Replaces between python-awn-extras and python-awnlib, all
     files from python-awnlib was moved into python-awn-extras.
     (Closes: #586744).

 -- Julien Lavergne <julien.lavergne@gmail.com>  Wed, 23 Jun 2010 00:38:46 +0200

awn-extras-applets (0.4.0-1) unstable; urgency=low

  * New upstream release.
   - Catch error in weather applet (LP: #359668)
   - Stack applet close on click (LP: #261520)
   - Close cairo-menu after a click (LP: #511256)
   - Fix crash of awn-system-monitor (LP: #545164)
   - Fix crash when removing a volume >1 or adding volume >1 or using prefs
     while > 1 volumes is present (LP: #556175)
   - Fix crash of media-control when Rhythmbox quit (LP: #558463)
   - Fix crash of file-browser-launcher when there is no .gtk-bookmarks
     (LP: #551119)
  * Update applets location:
   - Plugger, Filebrowser, Trasher, DesktopManager, Lastfm, Meebo, Digg, Pynot,
     RTM applets removed.
   - Sysmon, Bandwidth-monitor, Dialect, Hardware sensors, YAMA, Slickswitcher
     applets added
   - Separator applet move to Awn package.
   - Trash applet replaced by Garbage applet.
   - Arss applet replaced by Feeds applet.
   - Showdesktop applet move from python-core to c-core.
   - Digital Clock applet move from python-extras to c-extras.
   - Mimenu applet desactived.
  * debian/series: disable 01-ftbfs-python-2.6.patch.
  * debian/patches/02-shinyswitcher-default-layout.patch refreshed. 
  * debian/watch: Update to the new package naming.
  * debian/control:
   - Description updated with new applets.
   - Update Depends, Recommends and Suggests for all applets and add comments.
   - Add recommends on python-rsvg and python-wnck on python-core rather
     than python-extras applets. Thanks Mark Lee for the patch (LP: #423598).
   - Bump debhelper build-depends to (>= 7.0.50~) for overrides.
   - Bump build-depends libawn-dev (>= 0.4.0) and valac (>= 0.7.7).
   - Remove libawn-extras and python-awnlib, all merged in python-awn-extras.
   - Replace awn-manager by awn-settings.
   - Drop build-depends on libgnome-desktop-dev, python*-dev, awn-manager,
     libglade2-dev and libgnomeui-dev.
   - Add build-depends on libdesktop-agnostic-bin and vala-awn.
   - Demote gconf-editor to Suggests, it's only needed for very advanced
     settings.
   - Add a debug package for C applets.
   - Add a common package for translations, and make it depends on all applets
     packages.
   - Add proper Conflicts/Replaces for updates of applets location
     (LP: #524559).
  * debian/rules
   - Rewrite to use overrides and dh_install --fail-missing.
   - Disable dropper (not finished), mimenu (unstable) vala-test, python-test,
     wobblyzini (only for development purpose) applets.
   - Remove useless call to dh_makeshlibs.
   - Add dh_strip call for awn-applets-c-dbg binary.
   - Make scripts executable.
  * debian/awn-applets-c-core.links: dropped, not needed.
  * debian/libawn-extras*: Removed, libawn-extras was removed upstream.
  * debian/python-awnlib*: Merged with python-awn-extras.
  * debian/python-awn-extras.install: Install only py files.
  * debian/copyright:
   - Update copyright and licenses.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Wed, 16 Jun 2010 21:39:36 +0200

awn-extras-applets (0.3.2.2-4) unstable; urgency=medium

  * debian/patches/01-ftbfs-python-2.6.patch: Remove LOCALMODLIBS in configure
    and m4 to avoid unnecessary linking with -lssl. (Closes: #571153)

 -- Julien Lavergne <julien.lavergne@gmail.com>  Wed, 03 Mar 2010 23:05:24 +0100

awn-extras-applets (0.3.2.2-3) unstable; urgency=medium

  *  debian/control:
   - Add python-rsvg | python-gnome2-desktop depends for core applets, needed
     by cairo-clock (Closes: #550280)
   - Build-depends on python-dev (>= 2.5) and remove build-depends on
     python-elementtree, it's now included in python (Closes: #569388)
   - Fix typo in description (Closes: #557833, #557834)
   - Bump Standards-Version to 3.8.4, no change needed.
  * Switch to dpkg-source 3.0 (quilt) format
   - Drop usage of quilt in debian/rules.
   - Drop build-depends on quilt.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Thu, 11 Feb 2010 23:32:58 +0100

awn-extras-applets (0.3.2.2-2) unstable; urgency=low

  * debian/control:
   - Depends on python-awnlib (>= 0.3.2.2) and python-awn-extras (>= 0.3.2.2),
     first version build with python-support, to avoid breakage on partial
     upgrade.
     Closes: #534665, #534666
   - Bump Standards-Version to 3.8.2 (no change needed).
   - Fix comma in depends field.  

 -- Julien Lavergne <julien.lavergne@gmail.com>  Sat, 27 Jun 2009 14:06:25 +0200

awn-extras-applets (0.3.2.2-1) unstable; urgency=low

  * New Upstream Version (LP: #344874, #350383).
  * debian/rules:
   - Rewrite to use python-support and debhelper v7.
   - Add quilt support.
  * debian/compat:
   - Bump to 7.
  * debian/control:
   - Bump debhelper build-depends to (>= 7).
   - Drop build-depends on cdbs.
   - Add missing ${misc:Depends} for python-awnlib.

