=== debian/control ===
Source: awn-extras-applets
Section: gnome
Priority: optional
Maintainer: Julien Lavergne <julien.lavergne@gmail.com>
Build-Depends: debhelper (>= 7.0.50~),
               intltool, 
               libgnome-menu-dev, 
               libgconf2-dev,
               librsvg2-dev, 
               libgtop2-dev, 
               libawn-dev (>= 0.4.0), 
               libwnck-dev, 
               libsexy-dev, 
               libnotify-dev, 
               libvte-dev,
               python-central (>= 0.6.0), 
               python-gtk2-dev,
               python-cairo-dev,
               valac (>= 0.7.7),
               libwebkit-dev,
               libdesktop-agnostic-bin,
               vala-awn
Standards-Version: 3.9.0
Homepage: https://launchpad.net/awn-extras
Vcs-Git: git://github.com/gilir/awn-extras-debian.git
Vcs-Browser: http://github.com/gilir/awn-extras-debian/tree

Package: awn-applets-c-core
Architecture: any
Depends: ${shlibs:Depends}, 
         ${misc:Depends},
         awn-applets-common,
         avant-window-navigator,
Recommends: awn-settings,
            awn-applets-python-core,
            xdg-utils
Suggests: awn-applets-c-extras,
          gconf-editor,
# notification-area
          python-gconf,
Breaks: awn-applets-python-core (<< 0.4.0-1), avant-windows-navigator (<< 0.4.0-1)
Description: A collection of applets for Awn, written in C or Vala
 Awn-extras-applets is a collection of applets for avant-window-navigator. It
 provides some extensions to the bar and some new features (like 
 applets in the gnome-panel).
 .
 This package provides the core applets written in C:
  * awn-notification-daemon: Libnotify notification daemon implementation.
  * awn-system-monitor: Display CPU activity and system stats on click.
  * awnterm: A pop-up terminal that lives in AWN. 
  * cairo_main_menu: Displays a list of all the applications on your 
    computer in a standard menu format.
  * notification-area : Replaces the gnome-panel notification area and shows
    it right on your dock 
  * plugger: Displays mounted volumes and allows you to browse them.
  * shinyswitcher: A workspace switcher supporting compiz and other WMs.
  * showdesktop: Hides/shows all of the windows of the current viewport, 
    similar to the showdesktop icon of gnome-panel.
  * garbage: A trash applet, like the one from gnome-panel.

Package: awn-applets-c-extras
Architecture: any
Depends: ${shlibs:Depends}, 
         ${misc:Depends},
         awn-applets-common,
         avant-window-navigator
Recommends: awn-settings
Breaks: awn-applets-python-extras (<< 0.4.0-1)
Description: A collection of extras applets for Awn, written in C or Vala
 Awn-extras-applets is a collection of applets for avant-window-navigator. It
 provides some extensions to the bar and some new features (like 
 applets in the gnome-panel).
 .
 This package contains extras applets written in C:
  * digitalClock: A digital clock and calendar applet.
  * main-menu: Display a list of all the applications on your computer.
  * places: Displays shortcuts in buttons.
  * sysmon: Display CPU activity and system stats on click.
  * webapplet: Displays a web page.

Package: awn-applets-python-core
Architecture: all
Depends: ${shlibs:Depends}, 
        ${misc:Depends}, 
        ${python:Depends},
        awn-applets-common,
        avant-window-navigator,
        python-awn (>= 0.3.2.1),
        python-awn-extras (>= 0.4.0)
Recommends: awn-settings (>= 0.3~bzr489),
# hardware-sensors, cairo-clock, comics
            python-rsvg | python-gnome2-desktop,
# animal-farm
            fortune,
# battery
            hal,
# comics, battery
            python-notify,
# thinkhdaps
            python-pyinotify,
# cairo-clock
            python-dateutil,
            python-gweather,
# comics, feeds
            python-feedparser,
# volume-control
            python-gst0.10,
# cpufreq
            gnome-applets,
# feeds
            python (>= 2.6) | python-simplejson,
# Stack
            python-gnomedesktop | python-gnome2-desktop,
# Dialect
            python-xklavier,
Suggests: awn-applets-python-extras
Description: A collection of applets for Awn, written in python
 Awn-extras-applets is a collection of applets for avant-window-navigator. It
 provides some extensions to the bar and some new features (like 
 applets in the gnome-panel).
 .
 This package provides the core Python applets:
  * animal-farm : Various animals tell your fortune.
  * bandwidth-monitor: Displays information from network.
  * battery-applet: This applet displays your computers current power status.
  * cairo-clock: Displays an analog clock.
  * comics: View your favourite comics on your desktop.
  * cpufreq: Monitors and controls the CPU frequency. 
  * dialect: Manages keyboard layouts.
  * feeds: A Python feed launcher.
  * file-browser-launcher: Launches the user's file manager or opens bookmarks.
  * hardware sensors: Displays information from sensors.
  * mail: The Mail Applet lets you check your mail from AWN.
  * media-control: This applet displays album art in a awn dialog while 
    allowing you to control your favorite media players.
  * media-player: Plays any media files you drop on it.
  * mount-applet: Displays mounts from /etc/fstab and allows one to 
    mount/unmount them.
  * quit-applet: A simple gnome-quit launcher.
  * stack: Provides a convenient location to place commonly used files.
  * thinkhdaps: Displays the status of HDAPS. 
  * todo: Manage a simple To-Do list.
  * volume-control: A fancy volume changing applet that works much like the 
    gnome-panel version.
  * weather: This applet downloads and displays the current weather conditions 
    and weather forecast from weather.com.

Package: awn-applets-python-extras
Architecture: all
Depends: ${shlibs:Depends}, 
         ${misc:Depends}, 
         ${python:Depends},
         awn-applets-common,
         avant-window-navigator,
         python-awn (>= 0.3.2.1),
         python-awn-extras (>= 0.4.0)
Recommends: awn-settings (>= 0.3~bzr489),
# slickswitcher
            python-wnck | python-gnome2-desktop,
# calendar
            python-gdata,
# YAMA
            python-gmenu,
Suggests: tomboy,
#YAMA
          alacarte,
Breaks: awn-applets-python-core (<< 0.3~bzr912)
Description: A collection of extras applets for Awn, written in python
 Awn-extras-applets is a collection of applets for avant-window-navigator. It
 provides some extensions to the bar and some new features (like 
 applets in the gnome-panel).
  * calendar: Displays a clock and calendar on the bar, and integrates with 
    several external calendar applications to display appointments.
  * media-icon-applet: This applet allows you to add media icons like play,
    pause, and next/back to your awn bar, and control a list of media players.
  * pandora: Plays Pandora internet radio.
  * slickswitcher: A visual workspace switcher.
  * tomboy-applet: Control Tomboy with D-Bus.
  * YAMA: Yet another menu applet

Package: python-awn-extras
Section: python
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides}
Conflicts: python-awnlib
Replaces: python-awnlib
Description: Python bindings for avant-window-navigator's applets
 This package provides Python bindings to create and use Python applets with
 functions of libawn-extras. It also includes AWNLib, a collection of
 functions to simplify the creation of applets with Python.

Package: awn-applets-c-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, 
         ${misc:Depends}, 
         awn-applets-c-extras (= ${binary:Version})
Description: A collection of applets for avant-window-navigator - debug symbols
 Awn-extras-applets is a collection of applets for avant-window-navigator. It
 provides some extensions to the bar and some new features (like 
 applets in the gnome-panel).
 .
 This package contains the debugging symbols.

Package: awn-applets-common
Architecture: any
Depends: ${shlibs:Depends}, 
         ${misc:Depends},
Description: A collection of applets for avant-window-navigator - common files
 Awn-extras-applets is a collection of applets for avant-window-navigator. It
 provides some extensions to the bar and some new features (like 
 applets in the gnome-panel).
 .
 This package contains common files like translations.
