=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE=1

configure_flags += \
		--disable-pymod-checks \
		--with-webkit


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- 	$(configure_flags)

override_dh_install:
	#Remove CHANGELOG,LGPL, AUTHORS, README, COPYING, .la, .a, pyo and pyc files.
	find $(CURDIR)/debian/tmp/usr/lib/ -name *.a |xargs rm
	find $(CURDIR)/debian/tmp/usr/lib -name *.la |xargs rm
	find $(CURDIR)/debian/tmp/usr/lib -name *.pyc |xargs rm
	find $(CURDIR)/debian/tmp/usr/lib -name *.pyo |xargs rm
	find $(CURDIR)/debian/tmp/usr -name COPYING |xargs rm
	find $(CURDIR)/debian/tmp/usr -name README |xargs rm
	find $(CURDIR)/debian/tmp/usr -name AUTHORS |xargs rm
	find $(CURDIR)/debian/tmp/usr -name LGPL |xargs rm
	find $(CURDIR)/debian/tmp/usr -name CHANGELOG |xargs rm
	#Disable applets
	set -e; for applet in dropper mimenu vala-test python-test wobblyzini; do \
		rm -f $(CURDIR)/debian/tmp/usr/lib/awn/applets/$${applet}/*.so \
		rm -f $(CURDIR)/debian/tmp/usr/share/avant-window-navigator/applets/$${applet}/*.py; \
		rm -f $(CURDIR)/debian/tmp/usr/share/avant-window-navigator/applets/$${applet}/icons/*.svg; \
		rm -f $(CURDIR)/debian/tmp/usr/share/avant-window-navigator/applets/$${applet}/icons/*.png; \
		rm -f $(CURDIR)/debian/tmp/usr/share/avant-window-navigator/applets/$${applet}/*.ui; \
		rm -f $(CURDIR)/debian/tmp/usr/share/avant-window-navigator/applets/$${applet}.desktop; \
	done
	#Make script executable
	chmod +x $(CURDIR)/debian/tmp/usr/share/avant-window-navigator/applets/comics/comics.sh

	dh_install --fail-missing

override_dh_auto_test:
	#Pass, tests don't pass for now.
	
override_dh_makeshlibs:
	dh_makeshlibs -pawn-applets-c-core -a -n --exclude=*
	dh_makeshlibs -pawn-applets-c-extras -a -n --exclude=*

override_dh_strip:
	dh_strip --dbg-package=awn-applets-c-dbg
