=== debian/watch ===
version=3
https://launchpad.net/awn-extras/+download http://launchpad.net/awn-extras/.*/awn-extras-(.*).tar.gz
