## awn-extras-applets 0.4.0+bzr1372

=== debian/changelog ===
awn-extras-applets (0.4.0+bzr1372-0ubuntu3) maverick; urgency=low

  * debian/control:
   - Build-depends on libindicator-dev (>= 0.3.14) to rebuild on lastest
     libindicator. (LP: #637692).
  * debian/patches/901-cairo-menu-fix-d-and-d.patch:
   - From upstream, fix drag and drop in cairo-menu. (LP: #568700)
  * debian/patches/902-mail-fix-pop-backend.patch:
   - From upstream, fix POP3 backend in mail applet (LP: #561919)
  * debian/patches/903-mail-fix-io-error.patch:
   - From upstream, unlock keyring on startup in mail applet (LP: #581075)
  * debian/patches/904-mail-fix-crash-on-toggle.patch
   - From upstream, Fix crash on_toggle() in mail applet (LP: #557410)
  * debian/patches/905-yama-fix-crash-nonetype.patch
   - From upstream, fix NoneType crash in YAMA applet (LP: #506847)
  * debian/patches/906-mail-desktop-icon.patch
   - From upstream, fix icon in desktop file of mail applet.

 -- Julien Lavergne <gilir@ubuntu.com>  Fri, 24 Sep 2010 16:04:00 +0200

awn-extras-applets (0.4.0+bzr1372-0ubuntu2) maverick; urgency=low

  * debian/control:
   - Set Architecture: all for awn-applets-common.
   - Set Replaces on c-extras and c-core for partial upgrade.
     (LP: #627175, #627307)

 -- Julien Lavergne <gilir@ubuntu.com>  Tue, 31 Aug 2010 22:13:00 +0200

awn-extras-applets (0.4.0+bzr1372-0ubuntu1) maverick; urgency=low

  * Sync with Debian
  * New upstream snapshot (LP: #626265)
   - YAMA: use lda instead of xdg for managing desktop files (LP: #497787)
   - Volume: fix crash on high volume value. (LP: #461123)
   - Weather: fix crash on activate_map_cb (LP: #581414)
   - File-browser-launcher: fix crash on mounting LUKS partition (LP: #532848)
   - Feeds: fix crash when getting favicon (LP: #561611)
   - Slickswitcher: Fix division by 0 (LP: #562548)
  * debian/control:
   - Build-depends on libindicator-dev (>= 0.3).
   - Build-depends on libzeitgeist-dev (>= 0.2.2).
   - Recommends python-gtop | python-gnome2-desktop for bandwidth-monitor.
   - Update description for new applets.
  * debian/rules:
   - Pass --with-indicator to enable indicator applet.
   - Remove schemas for desactivated applets.
   - Disable mount applet.
  * debian/awn-applets-c-core.install:
   - Install indicator applet.
   - Install related applet.
  * debian/awn-applets-python-core:
   - Disable mount applet. 

 -- Julien Lavergne <gilir@ubuntu.com>  Sun, 29 Aug 2010 14:29:52 +0200
