=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: awn-extras-applets
 Section: gnome
 Priority: optional
-Maintainer: Julien Lavergne <julien.lavergne@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Julien Lavergne <julien.lavergne@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~),
                intltool, 
                libgnome-menu-dev, 
@@ -19,7 +20,9 @@
                valac (>= 0.7.7),
                libwebkit-dev,
                libdesktop-agnostic-bin,
-               vala-awn
+               vala-awn,
+               libindicator-dev (>= 0.3.14),
+               libzeitgeist-dev (>= 0.2.2)
 Standards-Version: 3.9.0
 Homepage: https://launchpad.net/awn-extras
 Vcs-Git: git://github.com/gilir/awn-extras-debian.git
@@ -39,6 +42,7 @@
 # notification-area
           python-gconf,
 Breaks: awn-applets-python-core (<< 0.4.0-1), avant-windows-navigator (<< 0.4.0-1)
+Replaces: awn-applets-c-extras (<< 0.4.0-1)
 Description: A collection of applets for Awn, written in C or Vala
  Awn-extras-applets is a collection of applets for avant-window-navigator. It
  provides some extensions to the bar and some new features (like 
@@ -50,6 +54,8 @@
   * awnterm: A pop-up terminal that lives in AWN. 
   * cairo_main_menu: Displays a list of all the applications on your 
     computer in a standard menu format.
+  * indicator: Display indicator applets.
+  * related : Display information from zeitgeist.
   * notification-area : Replaces the gnome-panel notification area and shows
     it right on your dock 
   * plugger: Displays mounted volumes and allows you to browse them.
@@ -66,6 +72,7 @@
          avant-window-navigator
 Recommends: awn-settings
 Breaks: awn-applets-python-extras (<< 0.4.0-1)
+Replaces: awn-applets-c-core (<< 0.4.0-1)
 Description: A collection of extras applets for Awn, written in C or Vala
  Awn-extras-applets is a collection of applets for avant-window-navigator. It
  provides some extensions to the bar and some new features (like 
@@ -94,6 +101,8 @@
             fortune,
 # battery
             hal,
+# bandwidth-monitor
+            python-gtop | python-gnome2-desktop,
 # comics, battery
             python-notify,
 # thinkhdaps
@@ -134,8 +143,6 @@
   * media-control: This applet displays album art in a awn dialog while 
     allowing you to control your favorite media players.
   * media-player: Plays any media files you drop on it.
-  * mount-applet: Displays mounts from /etc/fstab and allows one to 
-    mount/unmount them.
   * quit-applet: A simple gnome-quit launcher.
   * stack: Provides a convenient location to place commonly used files.
   * thinkhdaps: Displays the status of HDAPS. 
@@ -207,7 +214,7 @@
  This package contains the debugging symbols.
 
 Package: awn-applets-common
-Architecture: any
+Architecture: all
 Depends: ${shlibs:Depends}, 
          ${misc:Depends},
 Description: A collection of applets for avant-window-navigator - common files
