=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,8 @@
 
 configure_flags += \
 		--disable-pymod-checks \
-		--with-webkit
+		--with-webkit \
+		--with-indicator
 
 
 %:
@@ -25,13 +26,15 @@
 	find $(CURDIR)/debian/tmp/usr -name LGPL |xargs rm
 	find $(CURDIR)/debian/tmp/usr -name CHANGELOG |xargs rm
 	#Disable applets
-	set -e; for applet in dropper mimenu vala-test python-test wobblyzini; do \
+	set -e; for applet in dropper mount mimenu vala-test python-test wobblyzini; do \
 		rm -f $(CURDIR)/debian/tmp/usr/lib/awn/applets/$${applet}/*.so \
 		rm -f $(CURDIR)/debian/tmp/usr/share/avant-window-navigator/applets/$${applet}/*.py; \
 		rm -f $(CURDIR)/debian/tmp/usr/share/avant-window-navigator/applets/$${applet}/icons/*.svg; \
 		rm -f $(CURDIR)/debian/tmp/usr/share/avant-window-navigator/applets/$${applet}/icons/*.png; \
 		rm -f $(CURDIR)/debian/tmp/usr/share/avant-window-navigator/applets/$${applet}/*.ui; \
 		rm -f $(CURDIR)/debian/tmp/usr/share/avant-window-navigator/applets/$${applet}.desktop; \
+		rm -f $(CURDIR)/debian/tmp/etc/gconf/schemas/awn-applet-$${applet}.schemas; \
+		rm -f $(CURDIR)/debian/tmp/usr/share/avant-window-navigator/schemas/awn-applet-$${applet}.schema-ini; \
 	done
 	#Make script executable
 	chmod +x $(CURDIR)/debian/tmp/usr/share/avant-window-navigator/applets/comics/comics.sh
